package top.continew.admin.business.model.query;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serializable;

@Data
@Schema(description = "任务信息查询参数")
public class TaskInfoQuery implements Serializable {

    @Schema(description = "任务名称")
    private String name;

    @Schema(description = "任务分类编码")
    private String categoryCode;

    @Schema(description = "页码")
    private int page;

    @Schema(description = "页大小")
    private int size;
}
