package top.continew.admin.controller.business;

import io.swagger.v3.oas.annotations.tags.Tag;

import lombok.AllArgsConstructor;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;
import top.continew.admin.business.model.req.AirdropManagerReq;
import top.continew.admin.business.service.AirdropManagerService;

@RestController
@Tag(name = "空投管理")
@RequestMapping("airdrop/manager")
@AllArgsConstructor
public class AirdropManagerController {
    private final AirdropManagerService airdropManagerService;

    @PutMapping()
    public void airdropManager(@RequestBody @Validated AirdropManagerReq req) {
        airdropManagerService.airdropManager(req);
    }
}
